Re: wordpressでプラグインを有効化するとエラーになります。

2011 年 6 月 27 日

ホーム フォーラム インストール wordpressでプラグインを有効化するとエラーになります。 Re: wordpressでプラグインを有効化するとエラーになります。

#62205

nanbu
参加者

こんにちは。

MySQL 専用の関数を使っているからだと思います。

以下のように変更してみてください。

usc-e-shop/classes/usceshop.class.php 141行目

define('USCES_MYSQL_VERSION', (int)substr(mysql_get_server_info(), 0, 1));
 ↓
define('USCES_MYSQL_VERSION', '');

これはとりあえずの応急処置です。アップグレードすると上書きされてしまいます。

開発元ではMySQL での動作しか確認していないので、SQLite を使った場合どうなるのか全く分かりません。サポート外でもよろしければこのバージョンチェックは改善する事も可能です。